
// menus.hpp - menu interface for "hairline" stroking algorithm testbed

#ifndef __menus_hpp__
#define __menus_hpp__

//#include "polar/tangent_change_map.hpp"  // for SubOneChangeMode & ProjectionAdjustmentMode

extern void createMenu();
extern void disableCaps();
extern void config_menu(int item);

extern StrokeConfigTypes::ShadingMode getShadingMode();
extern void setShadingMode(StrokeConfigTypes::ShadingMode m);
extern void cycleShadingMode();
extern void cycleCompositeMode();

#endif // __menus_hpp__
